Subject: Re: [patch net-next RFC 0/8] Add support for pipeline debug (dpipe)

From: Andrew Lunn <[email-masked]>
Date: Thu, 16 Feb 2017 17:11:50 +0100

On Thu, Feb 16, 2017 at 04:22:36PM +0100, Jiri Pirko wrote:
> From: Jiri Pirko <[email-masked]>
> 
> Arkadi says:

Hi Jiri, Arkadi

It is not mentioned here, but i assume you have a followup patchset
which extends the devlink command to enumerate what tables are
available and to print them?

What i seem to be missing is headers in uapi which links kernel and
userspace together. There are lots of enums defined, but few seem to
be exported to user space for the table parser/printer to use.

Hopefully it will be more obvious when the user space patches are
available.

Thanks
	Andrew